Delete a meter value calculation by resource ID

Requires the METER_VALUE_CALCULATION.DELETE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Response

OK
object_typestring or nullRead-only
idstring or nullRead-only
referencestringformat: "^\S+$"0-256 characters
namestring or nullformat: "^.*$"0-256 characters
descriptionstring or nullformat: "^.*$"0-256 characters
calculation_typeenum or null
The type of calculation used for this billable metric.
persistboolean or null

Indicate if the data of the billable metric must be persisted to the next billing period of the schedule (default is false).

meter_idstring or null
The ID of the meter.
meterobject or null
meter_value_idstring or null
The ID of the meter value.
meter_valueobject or null
meter_property_idstring or null
The ID of the meter property.
meter_propertyobject or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error